Package org.gradle.api.artifacts.transform

## Class ArtifactTransform

- java.lang.Object
- - org.gradle.api.artifacts.transform.ArtifactTransform

-     public abstract class ArtifactTransform
      extends java.lang.Object

  Base class for artifact transformations.
  Since:
    3.4

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArtifactTransform​()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getOutputDirectory​()` |
    `void` | `setOutputDirectory​(java.io.File outputDirectory)` |
    `abstract java.util.List<java.io.File>` | `transform​(java.io.File input)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactTransform

          public ArtifactTransform​()

  - ### Method Detail

    - #### getOutputDirectory

          public java.io.File getOutputDirectory​()

    - #### setOutputDirectory

          public void setOutputDirectory​(java.io.File outputDirectory)

    - #### transform

          public abstract java.util.List<java.io.File> transform​(java.io.File input)